#include <stdio.h>
#include "hocdec.h"
extern int nrnmpi_myid;
extern int nrn_nobanner_;

extern "C" void _CaDynamics_E2_reg(void);
extern "C" void _CaDynamics_E2_soma_reg(void);
extern "C" void _Ca_HVA_reg(void);
extern "C" void _Ca_HVA_soma_reg(void);
extern "C" void _Ca_LVAst_reg(void);
extern "C" void _Ca_LVAst_soma_reg(void);
extern "C" void _Ca_reg(void);
extern "C" void _hhqt_reg(void);
extern "C" void _Ih_reg(void);
extern "C" void _Im_reg(void);
extern "C" void _K_Pst_reg(void);
extern "C" void _K_Tst_reg(void);
extern "C" void _Nap_Et2_reg(void);
extern "C" void _NaTa_t_reg(void);
extern "C" void _NaTa_t_myel_reg(void);
extern "C" void _NaTa_t_nor_reg(void);
extern "C" void _NaTs2_t_apic_reg(void);
extern "C" void _NaTs2_t_reg(void);
extern "C" void _NaTs2_t_soma_reg(void);
extern "C" void _SK_E2_reg(void);
extern "C" void _SK_E2_soma_reg(void);
extern "C" void _SKv3_1_apic_reg(void);
extern "C" void _SKv3_1_reg(void);
extern "C" void _SKv3_1_soma_reg(void);
extern "C" void _xtra_reg(void);

extern "C" void modl_reg() {
  if (!nrn_nobanner_) if (nrnmpi_myid < 1) {
    fprintf(stderr, "Additional mechanisms from files\n");
    fprintf(stderr, " \"CaDynamics_E2.mod\"");
    fprintf(stderr, " \"CaDynamics_E2_soma.mod\"");
    fprintf(stderr, " \"Ca_HVA.mod\"");
    fprintf(stderr, " \"Ca_HVA_soma.mod\"");
    fprintf(stderr, " \"Ca_LVAst.mod\"");
    fprintf(stderr, " \"Ca_LVAst_soma.mod\"");
    fprintf(stderr, " \"Ca.mod\"");
    fprintf(stderr, " \"hhqt.mod\"");
    fprintf(stderr, " \"Ih.mod\"");
    fprintf(stderr, " \"Im.mod\"");
    fprintf(stderr, " \"K_Pst.mod\"");
    fprintf(stderr, " \"K_Tst.mod\"");
    fprintf(stderr, " \"Nap_Et2.mod\"");
    fprintf(stderr, " \"NaTa_t.mod\"");
    fprintf(stderr, " \"NaTa_t_myel.mod\"");
    fprintf(stderr, " \"NaTa_t_nor.mod\"");
    fprintf(stderr, " \"NaTs2_t_apic.mod\"");
    fprintf(stderr, " \"NaTs2_t.mod\"");
    fprintf(stderr, " \"NaTs2_t_soma.mod\"");
    fprintf(stderr, " \"SK_E2.mod\"");
    fprintf(stderr, " \"SK_E2_soma.mod\"");
    fprintf(stderr, " \"SKv3_1_apic.mod\"");
    fprintf(stderr, " \"SKv3_1.mod\"");
    fprintf(stderr, " \"SKv3_1_soma.mod\"");
    fprintf(stderr, " \"xtra.mod\"");
    fprintf(stderr, "\n");
  }
  _CaDynamics_E2_reg();
  _CaDynamics_E2_soma_reg();
  _Ca_HVA_reg();
  _Ca_HVA_soma_reg();
  _Ca_LVAst_reg();
  _Ca_LVAst_soma_reg();
  _Ca_reg();
  _hhqt_reg();
  _Ih_reg();
  _Im_reg();
  _K_Pst_reg();
  _K_Tst_reg();
  _Nap_Et2_reg();
  _NaTa_t_reg();
  _NaTa_t_myel_reg();
  _NaTa_t_nor_reg();
  _NaTs2_t_apic_reg();
  _NaTs2_t_reg();
  _NaTs2_t_soma_reg();
  _SK_E2_reg();
  _SK_E2_soma_reg();
  _SKv3_1_apic_reg();
  _SKv3_1_reg();
  _SKv3_1_soma_reg();
  _xtra_reg();
}
